Bug 854797 - Glossary panel mistakenly shows "Loading" when Glossary does not exist
Glossary panel mistakenly shows "Loading" when Glossary does not exist
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.0
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks: 851911
  Show dependency treegraph
 
Reported: 2012-09-05 22:07 EDT by Ding-Yi Chen
Modified: 2012-11-07 01:19 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20120926-0026)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:19:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-09-05 22:07:54 EDT
Description of problem:
In webtrans, the glossary panel shows "Loading..." if no glossary exist.
However, it is not very intuitive to locate the glossary manage page (which is under (Menu)).

Instead of showing "Loading..." in glossary panel, it would be better to show "Glossary does not exist. Upload your glossary at <Link to Glossary page>"

Version-Release number of selected component (if applicable):
Zanata version 1.8.0-SNAPSHOT (20120906-0954)

How reproducible:
Always

Steps to Reproduce:
1. Make sure no glossary is imported for your language.
2. Visit any doucument with your language.
  
Actual results:
Glossary panel showed: Loading...

Expected results:
Glossary panel shows: "Glossary does not exist. Upload your glossary at <Link to Glossary page>"

Additional info:
Comment 1 Alex Eng 2012-09-24 23:53:34 EDT
UI modification on Glossary view. 
"No glossary result" shown if there's nothing return from search.
Comment 2 Ding-Yi Chen 2012-09-25 23:12:59 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20120926-0026)
Comment 3 Sean Flanigan 2012-11-07 01:19:27 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.